package info.bayro.baFwk.guiElement;

import java.awt.BorderLayout;
import java.awt.Font;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import java.util.Observable;

import javax.swing.BorderFactory;
import javax.swing.JPanel;
import javax.swing.border.Border;
import javax.swing.border.TitledBorder;


public class EPanel extends ExtendedElement {

	private String bezPanel = "";


	protected void init() {
		jComponent = new JPanel(new BorderLayout(0, 0));
//		jComponent.setBorder(BorderFactory.createTitledBorder(EElementGlobals._BORDER_GRAY));
		jComponent.setLayout(new GridBagLayout());
	}


	public void setName(String name) {
		bezPanel = name;
		
		Border emptyBorder = BorderFactory.createEmptyBorder();		
		Font fontStyle = new Font("Arial", Font.BOLD, 12);
		TitledBorder titledBorder = BorderFactory.createTitledBorder(emptyBorder, bezPanel, TitledBorder.LEFT, TitledBorder.ABOVE_TOP, fontStyle);
		Border raisedBevelBorder = BorderFactory.createRaisedBevelBorder();
		
		jComponent.setBorder(BorderFactory.createCompoundBorder(raisedBevelBorder, titledBorder));
		
	}


	public void add(ExtendedElement eElement, GridBagConstraints constraints) {
		constraints.weightx = 1;
		constraints.weighty = 1;

		if (!"".equals(bezPanel)) {
			constraints.insets = new Insets(5, 5, 0, 5);
		}

		if (constraints.anchor != GridBagConstraints.EAST) {
			constraints.anchor = GridBagConstraints.WEST;
		}

		jComponent.add(eElement.getJComponent(), constraints);
	}


	@Override
	public void update(Observable observable, Object msg) {}
}