package info.bayro.baFwk.guiElement;

import info.bayro.baFwk.valueObject.ValueObject;

import java.util.Observable;
import java.util.Observer;

import javax.swing.JComponent;


public abstract class ExtendedElement implements Observer {

	protected ValueObject valueObject;
	protected String fieldName;

	protected JComponent jComponent;


	public ExtendedElement() {
		super();
		init();
	}


	protected abstract void init();


	public JComponent getJComponent() {
		return jComponent;
	}


	public void update(Observable observable, Object msg) {};
}