package info.bayro.baFwk.resourcesReader;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.Properties;

import org.apache.log4j.Logger;


public class ResourceReader {

	public static final Logger log = Logger.getLogger(ResourceReader.class);


	public static Properties readFile(String fileName) throws FileNotFoundException, IOException {
		if (log.isTraceEnabled()) {
			log.trace("Param: " + fileName);
		}

		File file = new File(fileName);

		if (log.isDebugEnabled()) {
			log.debug("AbsolutePath: " + file.getAbsolutePath());
		}

		FileReader fileReader = new FileReader(file);

		Properties properties = new Properties();
		properties.load(fileReader);

		fileReader.close();

		return properties;
	}
}