package info.bayro.baFwk.exception;

import info.bayro.baFwk.gui.EPopUp;


public abstract class EExceptionHandle {

	public static void handleInvalidValueException(Throwable e) {
		e.printStackTrace();
		EPopUp.showError("Invalid value exception", e.getLocalizedMessage());
	}


	public static void handleFunctionException(Throwable e) {
		e.printStackTrace();
		EPopUp.showError("Function exception", e.getLocalizedMessage());
	}


	public static void handleServiceException(Throwable e) {
		e.printStackTrace();
		EPopUp.showError("Service exception", e.getLocalizedMessage());
	}


	public static void handleProcessingException(Throwable e) {
		e.printStackTrace();
		EPopUp.showError("Processing Exception", e.getLocalizedMessage());
	}
}
