package info.bayro.baFwk.gui;

import java.util.HashMap;
import java.util.Iterator;


public class DataSelector {

	private HashMap<String, Object> dataSelector = new HashMap<String, Object>();


	protected void setKeyValue(String key, Object value) {
		dataSelector.put(key, value);
	}


	public HashMap<String, Object> getDataSelector() {
		return dataSelector;
	}


	public String toString() {
		StringBuilder strBuilder = new StringBuilder();
		strBuilder.append("DataSelector [\n");

		Iterator<String> iterator = dataSelector.keySet().iterator();
		while (iterator.hasNext()) {
			String key = iterator.next();
			Object object = dataSelector.get(key);

			strBuilder.append("\t").append(key).append(": ").append(object.toString()).append("\n");
		}

		strBuilder.append("]");

		return strBuilder.toString();
	}
}