package info.bayro.baFwk.guiElement;

import javax.swing.JButton;


public class EButton extends ExtendedElement {

	@Override
	protected void init() {
		jComponent = new JButton();
	}


	public void setLabel(String label) {
		((JButton) jComponent).setText(label);
	}


	public void setButtonType(EButtonGlobals type) {
		switch (type) {
			case _BUTTON_SAVE:
				setLabel("SAVE");
				break;

			case _BUTTON_CANCEL:
				setLabel("Cancel");
				jComponent.setVerifyInputWhenFocusTarget(false);
				break;
				
			case _BUTTON_SHOW:
				setLabel("Show");
				break;

			case _BUTTON_NEW:
				setLabel("Create");
				break;

			case _BUTTON_EDIT:
				setLabel("Edit");
				break;

			case _BUTTON_DELETE:
				setLabel("Delete");
				break;

			case _BUTTON_COPY:
				setLabel("Copy");
				break;

			case _BUTTON_PRINT:
				setLabel("Print");
				break;
		}
	}


	public void setActionCommand(String command) {
		((JButton) jComponent).setActionCommand(command);
	}
	
	public void setEditable(boolean value){
		jComponent.setEnabled(value);
	}

}