package info.bayro.baFwk.guiElement.listener;

import info.bayro.baFwk.database.DBConnection;
import info.bayro.baFwk.exception.EExceptionHandle;
import info.bayro.baFwk.exception.ServiceException;

import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;
import java.sql.SQLException;

import org.apache.log4j.Logger;


public class EWindowListener implements WindowListener {
	public static final Logger log = Logger.getLogger(EWindowListener.class);


	public void windowActivated(WindowEvent e) {}


	public void windowClosed(WindowEvent e) {}


	public void windowClosing(WindowEvent e) {
		try {
			DBConnection.closeConnection();
		} catch (SQLException e1) {
			EExceptionHandle.handleServiceException(new ServiceException("No connection to close", e1));
		}

		DBConnection.stopServer();
	}


	public void windowDeactivated(WindowEvent e) {}


	public void windowDeiconified(WindowEvent e) {}


	public void windowIconified(WindowEvent e) {}


	public void windowOpened(WindowEvent e) {}

}