package info.bayro.baFwk.valueObject;

import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;


@Retention(value = RetentionPolicy.RUNTIME)
@Inherited
public @interface ValueDescriptor {

	public ValueFieldType fieldType() default ValueFieldType._FIELD_ALPHANUM;


	public int maxSize() default 0;

	public int minSize() default 0;

	public int fieldDigits() default 0;
}